DeepFellow DOCS

Get the status of a graph ingestion job

Get the status of a background graph-ingestion job.

GET
/v1/graph/ingestion_jobs/{job_id}
Authorization[Bearer <token>]

In: header

Path Parameters

job_id[string]

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://deepfellow-server-host/v1/graph/ingestion_jobs/5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "id": "string",
  "file_id": "string",
  "status": "pending",
  "document_count": 0,
  "document_counts": {
    "pending": 0,
    "in_progress": 0,
    "completed": 0,
    "failed": 0,
    "removed": 0
  },
  "documents": [
    {
      "index": 0,
      "name": "string",
      "content": "string",
      "source": "message",
      "source_description": "string",
      "status": "pending",
      "document_id": "string",
      "error": "string",
      "warnings": [
        "string"
      ]
    }
  ],
  "last_error": "string",
  "stale": false,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.